Delete a Project MCP Gateway
delete
/ic/api/integration/v1/projects/{projectId}/mcp/gateways/{id}
Deletes an MCP gateway from a project. Deactivate an active gateway before deleting it.
Request
Path Parameters
-
id(required): string
Resource code, optionally followed by |01.00.0000. Omitted versions default to 01.00.0000; other versions are rejected.Example:
MCP_GATEWAY -
projectId(required): string
Project identifierExample:
MCP_PROJECT
Query Parameters
-
integrationInstance(required): string
This is the name of the service instance. You can get this value from the About page where it is specified in the Service instance field.Example:
example-instance
There's no request body for this operation.
Back to TopResponse
204 Response
Successful operation, no content returned
400 Response
Malformed parameters
401 Response
Unauthorized or insufficient design-time permissions
404 Response
Project or resource not found, or the MCP feature is not available
412 Response
Precondition failed
500 Response
Server error
Examples
The following example shows how to delete an MCP gateway from a project by submitting a DELETE request on the REST resource using cURL. For more information about cURL, see Use cURL. For more information about endpoint URL structure, see Send Requests.
Example: Delete a Project MCP Gateway
curl --request DELETE --include \
--url "${BASE_URL}/ic/api/integration/v1/projects/${PROJECT_ID}/mcp/gateways/${GATEWAY_ID}?integrationInstance=${INTEGRATION_INSTANCE}" \
--header "Authorization: Bearer ${ACCESS_TOKEN}" \
--header "Accept: application/json"